Show / Hide Table of Contents

# Class ImGui_Input_Impl_Direct

##### Inheritance

System.Object
ImGui_Input_Impl_Direct

##### Implements

IImGuiInputHandler
System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class ImGui_Input_Impl_Direct : IImGuiInputHandler, IDisposable

### Constructors

| Improve this Doc View Source

#### ImGui_Input_Impl_Direct(IntPtr)

##### Declaration

    public ImGui_Input_Impl_Direct(IntPtr hWnd)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | hWnd |

### Properties

| Improve this Doc View Source

#### UpdateCursor

##### Declaration

    public bool UpdateCursor { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Dispose(Boolean)

##### Declaration

    protected virtual void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing |

| Improve this Doc View Source

#### Finalize()

##### Declaration

    protected void Finalize()

| Improve this Doc View Source

#### ImGuiKeyToVirtualKey(ImGuiKey)

##### Declaration

    public static int ImGuiKeyToVirtualKey(ImGuiKey key)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKey | key |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IsImGuiCursor(IntPtr)

##### Declaration

    public bool IsImGuiCursor(IntPtr hCursor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | hCursor |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### NewFrame(Int32, Int32)

##### Declaration

    public void NewFrame(int targetWidth, int targetHeight)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | targetWidth |
System.Int32 | targetHeight |

| Improve this Doc View Source

#### ProcessWndProcW(IntPtr, User32.WindowMessage, Void*, Void*)

Processes window messages. Supports both WndProcA and WndProcW.

##### Declaration

    public IntPtr? ProcessWndProcW(IntPtr hWnd, User32.WindowMessage msg, void *wParam, void *lParam)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | hWnd | Handle of the window.
PInvoke.User32.WindowMessage | msg | Type of window message.
System.Void* | wParam | wParam.
System.Void* | lParam | lParam.

##### Returns

Type | Description
--- | ---
System.Nullable<System.IntPtr> | Return value, if not doing further processing.

| Improve this Doc View Source

#### SetIniPath(String)

##### Declaration

    public void SetIniPath(string iniPath)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | iniPath |

| Improve this Doc View Source

#### VirtualKeyToImGuiKey(Int32)

##### Declaration

    public static ImGuiKey VirtualKeyToImGuiKey(int key)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | key |

##### Returns

Type | Description
--- | ---
ImGuiKey |

### Implements

IImGuiInputHandler
System.IDisposable